Replace the file extension.

```lua
path.replaceextension("path", "new_extension")
```

### Parameters ###

`path` is the file system path on which the extension should be replaced. `new_extension` is the replacement file extension.


### Return Value ###

A new file system path with the replaced extension.


### Availability ###

Premake 5.0 or later.


### See Also ###

* [path.getextension](path.getextension.md)
* [path.hasextension](path.hasextension.md)
